> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve details of a Physical Card Order

> This endpoint retrieves details of a card order by its `orderId`.



## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json get /api/v1/order/{orderId}
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/order/{orderId}:
    get:
      tags:
        - Physical Card Order
      summary: Retrieve details of a Physical Card Order
      description: This endpoint retrieves details of a card order by its `orderId`.
      parameters:
        - in: path
          name: orderId
          required: true
          description: The unique identifier of the card order.
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved card order details.
          content:
            application/json:
              schema:
                type: object
                required:
                  - id
                  - userId
                  - status
                  - personalizationSource
                  - totalDiscountEUR
                  - createdAt
                properties:
                  id:
                    type: string
                    format: uuid
                    description: The unique identifier of the card order.
                    example: 123e4567-e89b-12d3-a456-426614174000
                  transactionHash:
                    type: string
                    nullable: true
                    description: The on-chain transaction hash associated with the order.
                    example: 0x123abc...
                  embossedName:
                    type: string
                    nullable: true
                    description: The name embossed on the card.
                    example: John Doe
                  address1:
                    type: string
                    nullable: true
                    description: The first line of the shipping address.
                  address2:
                    type: string
                    nullable: true
                    description: The second line of the shipping address.
                  city:
                    type: string
                    nullable: true
                    description: The city of the shipping address.
                  postalCode:
                    type: string
                    nullable: true
                    description: The postal code of the shipping address.
                  state:
                    type: string
                    nullable: true
                    description: The state of the shipping address.
                  country:
                    type: string
                    nullable: true
                    description: The country of the shipping address.
                  userId:
                    type: string
                    description: The user id for this card order.
                  status:
                    type: string
                    description: Current order status
                    enum:
                      - PENDINGTRANSACTION
                      - TRANSACTIONCOMPLETE
                      - CONFIRMATIONREQUIRED
                      - READY
                      - CARDCREATED
                      - FAILEDTRANSACTION
                      - CANCELLED
                  personalizationSource:
                    type: string
                    enum:
                      - KYC
                      - ENS
                  couponCode:
                    type: string
                    description: The coupon code tied to this card order
                    example: DISCOUNT2023
                  totalAmountEUR:
                    type: number
                    nullable: true
                    example: 20.99
                  totalDiscountEur:
                    type: number
                    example: 1.99
                  createdAt:
                    type: string
                    description: When the order was created
                    format: date-time
                    example: '2023-01-09T13:45:30Z'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '404':
          description: Card order not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Details about the error.
                    example: Card order not found.
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Details about the server error.
                    example: An unexpected error occurred.
      security:
        - bearerAuth: []
components:
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````